package com.fs.fastgptApi.service.Impl;

import com.alibaba.fastjson.JSON;
import com.fs.fastgptApi.param.VoiceParam;
import com.fs.fastgptApi.result.AudioResult;
import com.fs.fastgptApi.service.AudioService;
import com.fs.fastgptApi.util.AudioUtils;
import com.fs.fastgptApi.vo.AudioVO;
import org.springframework.http.MediaType;
import org.springframework.http.RequestEntity;
import org.springframework.http.ResponseEntity;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;
import org.springframework.web.client.RestClientException;
import org.springframework.web.client.RestTemplate;
import ws.schild.jave.process.ffmpeg.FFMPEGProcess;

import java.net.URI;
import java.net.URISyntaxException;
import java.nio.charset.StandardCharsets;


public class AudioServiceImpl implements AudioService {




    @Override
    public AudioVO TextToVoice( String  count,Long userId) {
        try {
            AudioVO audioVO = AudioUtils.transferAudioSilkFromText(count,userId,  false);
            return audioVO;


        } catch (RestClientException e) {

            }
        return null;
    }

}

